<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Engine.h" />
    <ClInclude Include="src\Engine\Core.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicBinarySearchTree.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicDeque.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\Array.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicArray.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicDynamicArray.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicList.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicQueue.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicStack.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BinarySearchTree.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\DynamicArray.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\List.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\Queue.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\Stack.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicString.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicCircularLinkedList.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\CircularLinkedList.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BasicBinaryTree.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\BinaryTree.h" />
    <ClInclude Include="src\Engine\DataTypes\IObject.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\BasicIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\BidirectionalIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\ContiguousMemoryIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\ForwardIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\FullAccessForwardIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\FullAccessIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\IIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\ReadIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Iterators\WriteIterator.h" />
    <ClInclude Include="src\Engine\DataTypes\Object.h" />
    <ClInclude Include="src\Engine\DataTypes\Primitives.h" />
    <ClInclude Include="src\Engine\DataTypes\Collections\Deque.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\BasicReadStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\BasicWriteStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\BytesStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\ReadBytesStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\ReadStringStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\StringStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\WriteBytesStream.h" />
    <ClInclude Include="src\Engine\DataTypes\Streams\WriteStringStream.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="src\Engine\Debug\.gitkeep" />
    <None Include="src\Engine\Debug\Logger\.gitkeep" />
    <None Include="src\Engine\Events\.gitkeep" />
    <None Include="src\Engine\Files\.gitkeep" />
    <None Include="src\Engine\Math\.gitkeep" />
    <None Include="src\Engine\Math\Physics\.gitkeep" />
    <None Include="src\Engine\Network\.gitkeep" />
    <None Include="src\Engine\Updates\.gitkeep" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="src\Engine\DataTypes\Collections\String.h" />
    <ClCompile Include="src\Engine\DataTypes\Object.cpp" />
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{ccc912dc-1d6f-4635-8eb9-a951e05b33c6}</ProjectGuid>
    <RootNamespace>Engine</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <AdditionalLibraryDirectories>$(ProjectDir)src;</AdditionalLibraryDirectories>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <AdditionalLibraryDirectories>$(ProjectDir)src;</AdditionalLibraryDirectories>
    </Lib>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>